[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Building glibc 2.5 on Hurd: tls

Aurelien Jarno wrote:
Thomas Schwinge a écrit :

Support for tls for Hurd systems is still not fixed properly.  Details
are at <http://savannah.gnu.org/bugs/?17644>.  To get a functional
glibc-2_5-branch, this either needs to be fixed or the tls-requiring bits
of glibc-2_5-branch have to be bend over to not require it.

Thanks to Petr Salinger who send me a patch we have chosen this solution
(as m68k is also affected). That's why I tried to build the glibc on
Hurd (it was easier than on m68k), to make sure the patch was enough.
Oh, I forgot to mention. I also have Jeroen's patch built into the gnumach that I am building with on my machine.

If any of you want access to the Hurd box I'm building on, please let me know. Maybe we can co-ordinate efforts? Even though I'm way over my head as usual.


Barry deFreese (aka bddebian)

Reply to: